<?php

namespace App\Model;

use App\Scopes\DepartmentScope;
use Illuminate\Database\Eloquent\Model;

class InvoiceOrder extends Model
{
//    protected $fillable = ['userData'];
    protected $guarded = [];
    protected $table = "invoice_order"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';
    const STATE_ZERO = 0;//未确认
    const STATE_ONE = 1;//已确认
    const prefix = 'FH';
    public static $name = [
        0 => '未确认',
        1 => '已确认',
    ];

    public static $user = [];
    public static $search = [];
    const range_function = 'invoiceRange';

    public function __construct(array $attributes = [])
    {
        if(! empty($attributes['userData'])) {
            self::$user = $attributes['userData'];
            self::$search = $attributes['search'] ?? [];
            self::$user['range_function'] = self::range_function;
            static::addGlobalScope(new DepartmentScope(self::$user, self::$search));
        }
        parent::__construct($attributes);
    }
}
