<?php

namespace App\Model;

use App\Scopes\TopDepartmentScope;
use Illuminate\Database\Eloquent\Model;

class ProductCategory extends Model
{
    protected $guarded = [];
    protected $table = "product_category"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';

    public static $user = [];
    public static $search = [];

    public function __construct(array $attributes = [])
    {
        if(! empty($attributes['userData'])) {
            self::$user = $attributes['userData'];
            self::$search = $attributes['search'] ?? [];
            static::addGlobalScope(new TopDepartmentScope(self::$user, self::$search));
        }
        parent::__construct($attributes);
    }
}
